> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Coins List

> To query all the supported coins on CoinGecko with coin ID, name and symbol

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

#### Notes

* Use this endpoint to get coin IDs for other endpoints that require `id` or `ids` parameters.
* No pagination required — the full list is returned in a single response.

<Warning>
  Access to inactive coins via the Demo API is restricted. Subscribe to a [paid plan](https://www.coingecko.com/en/api/pricing) to access them.
</Warning>

<CacheInfo paidRate="5 minutes" publicRate="30 minutes" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.coins.list.get();

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.coins.list.get()

  print(response)
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /coins/list
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /coins/list:
    get:
      summary: Coins List
      description: >-
        To query all the supported coins on CoinGecko with coin ID, name and
        symbol
      operationId: coins-list
      parameters:
        - name: include_platform
          in: query
          required: false
          description: |-
            Include platform and token's contract addresses. 
            Default: false
          schema:
            type: boolean
        - name: status
          in: query
          required: false
          description: |-
            Filter by status of coins. 
            Default: active
          schema:
            type: string
            enum:
              - active
              - inactive
      responses:
        '200':
          description: List of coins
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoinsList'
              example:
                - id: official-trump
                  symbol: trump
                  name: Official Trump
                  platforms:
                    solana: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
                - id: ondo-finance
                  symbol: ondo
                  name: Ondo
                  platforms:
                    ethereum: '0xfaba6f8e4a5e8ab82f62fe7c39859fa577269be3'
components:
  schemas:
    CoinsList:
      type: array
      items:
        type: object
        required:
          - id
          - symbol
          - name
        properties:
          id:
            type: string
            description: Coin ID
          symbol:
            type: string
            description: Coin symbol
          name:
            type: string
            description: Coin name
          platforms:
            type: object
            description: Asset platform and contract address
            additionalProperties:
              type: string
              nullable: true
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````